Name:           xdg-utils
Version:        1.1.3
Release:        %mkrel 5
Summary:        Interfaces and Tools to allow all applications to easily integrate with the free desktop configuration
Summary(de):    Desktop-Integrationsprogramme von freedesktop.org.
License:        GPL
Url:            http://portland.freedesktop.org/wiki/
Group:          System/Base
Source0:        http://portland.freedesktop.org/download/%{name}-%{version}.tar.xz
#------------------------------------------------------------
Patch0: xdg-utils-1.1.1-email_loop.patch
Patch1: xdg-utils-1.1.0-rc3-email_silent_errors.patch
Patch2: xdg-utils-1.1.0-rc3-inhibit-screensaver.patch
Patch3: xdg-utils-1.1.0-rc3-silence-dialog-with-chromium-browser-on-lxde.patch
Patch4: xdg-utils-1.0.3-enable-xdg-terminal.patch
Patch9: 0001-xdg-open-better-pcmanfm-check-BR106636-BR106161.patch
Patch10: francoisG.patch
Patch11: neohum.patch
#-----------------------------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: 	libxslt-proc
BuildRequires: xmlto
Requires: 	xprop
Requires:   xset

%description
This version of xdg-utils contains the following commands:
xdg-desktop-menu: 	command line tool for (un)installing desktop menu items
xdg-desktop-icon:	command line tool for (un)installing icons to the desktop
xdg-mime:	        command line tool for querying information 
			about file type handling and adding descriptions for new file types
xdg-icon-resource:	command line tool for (un)installing icon resources
xdg-open:	        opens a file or URL in the user's preferred application
xdg-email:	        command line tool for sending mail using the user's preferred 
			e-mail composer
xdg-su:	                run a program as root after prompting for the root password
xdg-screensaver:	command line tool for controlling the screensaver

Testsuite for xdg-utils is available from http://portland.freedesktop.org/wiki/TestSuite

#-------------------------------------------------------------------------------------------------

%description -l de
xdg-utils bietet unabhängig von der verwendeten grafischen Benutzerumgebung
die Möglichkeit Anwendungen in die grafische Benutzerumgebung einzubinden. 

Folgende Möglichkeiten werden angeboten:

  * xdg-desktop-menu:	Installieren von Menüpunkten
  * xdg-desktop-icon:	Installieren von Symbolen auf der Arbeitsfläche
  * xdg-mime:		Anzeige von MIME-Informationen einer Datei
  * xdg-icon-resource:	Installieren neuer Symbolsammlungen
  * xdg-open:		Öffnen einer URL in der vom Benutzer bevorzugten Anwendung 
			die diese URL oder diese Datei verarbeiten kann
  * xdg-email:		Öffnen des bevorzugten Email-Programms mit bereits ausgefülltem 
			Betreff und weiteren Informationen
  * xdg-su:		Ein Programm ausführen als root nach der Aufforderung das root-Passwort
  * xdg-screensaver: 	Bildschirmschoner aktivieren, deaktivieren oder unterbrechen

#-----------------------------------------------------------------------------------------------



%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch9 -p1
%patch10 -p1
%patch11 -p1

%build
%configure2_5x
%make
%make -C scripts scripts

%install
rm -rf %{buildroot}

%makeinstall_std
sed -i -e "s,_LIBDIR_,%{_libdir}/kde4/libexec,g" %buildroot/%_bindir/xdg-email


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{_bindir}/xdg-desktop-icon
%{_bindir}/xdg-desktop-menu
%{_bindir}/xdg-email
%{_bindir}/xdg-icon-resource
%{_bindir}/xdg-mime
%{_bindir}/xdg-open
%{_bindir}/xdg-screensaver
%{_bindir}/xdg-settings
%{_mandir}/man1/xdg-desktop-icon.*
%{_mandir}/man1/xdg-desktop-menu.*
%{_mandir}/man1/xdg-email.*
%{_mandir}/man1/xdg-icon-resource.*
%{_mandir}/man1/xdg-mime.*
%{_mandir}/man1/xdg-open.*
%{_mandir}/man1/xdg-screensaver.*
#new----------------------------------
%{_bindir}/xdg-terminal
%{_datadir}/man/man1/xdg-terminal.1.*
%{_datadir}/man/man1/xdg-settings.1.*
#------------------------------------


%changelog
* Wed Aug 02 2023 tex - 1.1.3-5pclos2023
- rebuild against updates

* Wed Aug 02 2023 tex - 1.1.3-4pclos2023
- rebuild against updates
